require 'rails_helper'

RSpec.describe "settings/cashier_terminals/show", type: :view do
  before(:each) do
    @settings_cashier_terminal = assign(:settings_cashier_terminal, Settings::CashierTerminal.create!(
      :name => "Name",
      :is_active => false,
      :is_currently_login => false,
      :auto_print_receipt => "Auto Print Receipt",
      :printer_name => "Printer Name",
      :header => "",
      :footer => "",
      :font => "Font",
      :font_size => "Font Size",
      :show_tax => false,
      :show_cashier => false,
      :show_guest_info => false
    ))
  end

  it "renders attributes in <p>" do
    render
    expect(rendered).to match(/Name/)
    expect(rendered).to match(/false/)
    expect(rendered).to match(/false/)
    expect(rendered).to match(/Auto Print Receipt/)
    expect(rendered).to match(/Printer Name/)
    expect(rendered).to match(//)
    expect(rendered).to match(//)
    expect(rendered).to match(/Font/)
    expect(rendered).to match(/Font Size/)
    expect(rendered).to match(/false/)
    expect(rendered).to match(/false/)
    expect(rendered).to match(/false/)
  end
end
